con 4.9.12: PHP-Warnung Declaration of cApiArticleLanguageVe

Alle bestätigten Fehler in CONTENIDO 4.9 (erledigte Fehler werden durch geschlossene Beiträge gekennzeichnet).
walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

con 4.9.12: PHP-Warnung Declaration of cApiArticleLanguageVe

Beitrag von walter999 » So 27. Nov 2016, 08:09

Unter PHP7, im Backend unter Content -> Artikel treten folgende PHP-Warnungen im errorlog auf:

1.) beim Betreten der Eigenschaften:

Code: Alles auswählen

[27-Nov-2016 07:47:09 Europe/Berlin] PHP Warning:  Declaration of cApiArticleLanguageVersionCollection::create(array $parameters) should be compatible with cApiArticleLanguageCollection::create($idart, $idlang, $title, $urlname, $pagetitle, $summary, $artspec = 0, $created = '', $author = '', $lastmodified = '', $modifiedby = '', $published = '', $publishedby = '', $online = 0, $redirect = 0, $redirect_url = '', $external_redirect = 0, $artsort = 0, $timemgmt = 0, $datestart = '', $dateend = '', $status = 0, $time_move_cat = 0, $time_target_cat = 0, $time_online_move = 0, $locked = 0, $free_use_01 = '', $free_use_02 = '', $free_use_03 = '', $searchable = 1, $sitemapprio = 0.5, $changefreq = '') in /home/www/contenido/classes/contenido/class.articlelanguageversion.php on line 22
2.) beim Betreten von Artikel bearbeiten (Editortab):

Code: Alles auswählen

[27-Nov-2016 07:48:14 Europe/Berlin] PHP Warning:  Declaration of cApiArticleLanguageVersionCollection::create(array $parameters) should be compatible with cApiArticleLanguageCollection::create($idart, $idlang, $title, $urlname, $pagetitle, $summary, $artspec = 0, $created = '', $author = '', $lastmodified = '', $modifiedby = '', $published = '', $publishedby = '', $online = 0, $redirect = 0, $redirect_url = '', $external_redirect = 0, $artsort = 0, $timemgmt = 0, $datestart = '', $dateend = '', $status = 0, $time_move_cat = 0, $time_target_cat = 0, $time_online_move = 0, $locked = 0, $free_use_01 = '', $free_use_02 = '', $free_use_03 = '', $searchable = 1, $sitemapprio = 0.5, $changefreq = '') in /home/www/contenido/classes/contenido/class.articlelanguageversion.php on line 119
Grüße
Walter
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » So 27. Nov 2016, 13:41

Danke, Walter, ich schaue mir das mal an. Welche PHP-Version (der 7er Reihe) ist das exakt?
Frederic Schneider
Entwickler bei der four for business AG

walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von walter999 » Di 29. Nov 2016, 06:24

Das ist exakt die PHP 7.0.13. Danke!

Grüße
Walter
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Di 29. Nov 2016, 14:45

Ich melde mich am Donnerstag :)
Frederic Schneider
Entwickler bei der four for business AG

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Do 1. Dez 2016, 09:31

Kannst Du mal bitte die Datei im Dateianhang testweise einbauen (Ordner: contenido/classes/contenido/) und schauen, ob es dann funktioniert? Bitte sichere die Datei class.articlelanguageversion.php im selben Ordner sicherheitshalber, bevor Du die Variante aus der Zip-Datei ersetzt.

Edit: Hat sich erledigt
Frederic Schneider
Entwickler bei der four for business AG

walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von walter999 » Do 1. Dez 2016, 11:13

Hallo Frederic,

ich habe mal Deine Datei in der ZIP-Datei mit der Original der 4.9.12er verglichen. Die Dateien scheinen zu 100% identisch zu sein. Was wurde denn angepasst?

Danke!

Grüße
Walter
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Do 1. Dez 2016, 11:32

Wir machen ein Ticket, um das sauber zu lösen und die Funktionen aufeinander anzupassen. Insofern die PHP7-Installation (bzw. das Fehlerlevel) nicht auf Strict steht, wird die o. g. Warnmeldung nicht eingeblendet
Frederic Schneider
Entwickler bei der four for business AG

walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von walter999 » Do 1. Dez 2016, 11:43

Ok, Frederic.
Nein, die Warnung wird nur in der error-log geloggt. Trotzdem möchte ich mich um das Problem kümmern.

Danke!
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Do 1. Dez 2016, 11:47

walter999 hat geschrieben:Nein, die Warnung wird nur in der error-log geloggt. Trotzdem möchte ich mich um das Problem kümmern.
Ja, genau. Ich wollte nur - für andere Nutzer, verzeihe, das war nicht ganz verständlich - den Hinweis geben, dass das von Dir geschilderte Problem die Funktionalität erst einmal nicht einschränkt und alles läuft, wie es ist. Die Warnmeldung erscheint, wie Du korrekt geschrieben hast, lediglich in der errorlog.txt. Dies ist natürlich auf die Dauer nervig und nicht schön.

Hintergrund des Problemes ist, dass die eine Klasse von der anderen Klasse erbt und die Funktion "create" überladen wird. Die Tochter-Klasse nutzt allerdings in der Funktion "create" andere Parameter als die Funktion "create" in der Eltern-Klasse. PHP 7 merkt das im Strict-Modus als Warnung an.

Wir haben das aufgenommen und werden das sauber lösen, indem wir die Parameter für die Funktion "create" in beiden Klassen angleichen.
Frederic Schneider
Entwickler bei der four for business AG

walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von walter999 » Do 1. Dez 2016, 11:51

Perfekt, danke!
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

walter999
Beiträge: 157
Registriert: Di 24. Mai 2005, 11:23
Wohnort: Rain/Dürnhart
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von walter999 » Do 16. Feb 2017, 15:14

Gibts da schon was neues? Danke!

Grüße
Walter
http://www.lenk-webservice.de
Seit über 10 Jahren Erfahrung mit contenido
Umgesetzte Projekte mit contenido: über 150
Größtes Projekt: >2500 Einzelseiten

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Do 16. Feb 2017, 16:45

Das Problem ist noch nicht abschließend gelöst und noch in Arbeit für die nächste Version
Frederic Schneider
Entwickler bei der four for business AG

frederic.schneider_4fb
Beiträge: 967
Registriert: Do 15. Apr 2004, 17:12
Wohnort: Eschborn-Niederhöchstadt
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLangua

Beitrag von frederic.schneider_4fb » Do 23. Feb 2017, 12:01

Die entsprechende Fehlerbehebung gibt es hier:
https://git.contenido.org/projects/CON/ ... 5b4b6bafbb

In diesem Zusammenhang ist ein kleiner Bug aufgefallen, der auftritt, wenn in der Artikel-Versionierung der "Advanced"-Modus ausgewählt ist. Fix:
https://git.contenido.org/projects/CON/ ... c0b8d26329
Frederic Schneider
Entwickler bei der four for business AG

Bernbacher
Beiträge: 62
Registriert: Fr 21. Jan 2011, 13:29
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLanguageVe

Beitrag von Bernbacher » Mo 25. Sep 2017, 15:53

Hallo,
habe das gleiche Problem mit dem Hinweis beim Löschen eines Artikels.
Habe die beiden Dateien (in der Version 4.9.1) ersetzt mit dem Erfolg, dass ich jetzt gar nicht mehr in die Artikel rein komme im Editor:
Fatal error: Uncaught Error: Call to undefined method cString::toLowerCase() in /kunden/XXX_XXXXX/webseiten/kunde/html-data/contenido/classes/contenido/class.articlelanguage.php:427

Gibt es da (schon) eine Lösung?

Oldperl
Beiträge: 4049
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: con 4.9.12: PHP-Warnung Declaration of cApiArticleLanguageVe

Beitrag von Oldperl » Di 26. Sep 2017, 09:15

Servus,
Bernbacher hat geschrieben:
Mo 25. Sep 2017, 15:53
Gibt es da (schon) eine Lösung?
Vielleicht mal ein Update auf die aktuellste Version?! :roll:

Gruß aus Franken

Ortwin
CONTENIDO 4.9 Entwickler-Handbuch - Publikation auf medium.com zu meinem angedachten Entwickler-Buch zu CONTENIDO 4.9
ConLite 2.0, alternatives und stabiles Update von Contenido 4.8.x
phpBO Search Advanced - das neue Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

Antworten